#!/bin/bash
FILE=${HOME}/.composer/auth.json

if [[ -f "${FILE}" ]]; then
  if [[ ! -z "$(cat $FILE | grep github)" ]]; then
    exit 0
  fi
fi

echo "Get token: https://github.com/settings/tokens/new?scopes=repo&description=Composer"

# user="USER INPUT"
read -p "Enter token: " TOKEN

composer config -g github-oauth.github.com ${TOKEN}